Subject: Re: [homenet] WiFi handover [was: question: equal-cost multipath?]

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 1 Sep 2015 14:01:17 +0200

Handovers between WiFi and self, or anything else are treated in the 
mobility Working Group (dmm).

Handover is considered solved with protocols like Mobile IP, Fast MIP, 
Proxy-MIP and more.  Nothing stops it from running in a home 
environment, other than maybe a question of where to place a Home Agent. 
  I dont see anything else particular in a home.

The current thought in the dmm WG is to work on a Distributed Mobility 
Management scheme, because that HA has certain inconvenients.

Handover - go to dmm.

Alex

Le 12/08/2015 12:27, Juliusz Chroboczek a écrit :
>> I still think the Homenet WG should pay far more attention to seamless
>> WiFi handover,
>
> We're currently working on that with the WLAN-SI guys.  They've got
> a nationwide mesh network (it's a small country, granted, and they use the
> public Internet infrastructure whenever possible), and while they're not
> interested in roaming at a global scale, they insist on seamless roaming
> within a small cluster of routers (home or village sized), and they insist
> on no host changes and good support for Android hosts.
>
> We'll write to this list when we know what works.
>
> In case it doesn't show, I'm enthusiastic about the energy and competence
> of the WLAN-SI core team.  They make a serious effort in translating
> everything they do into English, and they've got a nice node database
> online (even nicer one ready, but not deployed yet):
>
>    https://wlan-si.net/
>    https://nodes.wlan-si.net/
>
> -- Juliusz
>
> _______________________________________________
> homenet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/homenet
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 1 Sep 2015 14:04:45 +0200

Le 12/08/2015 14:20, Eric Vyncke (evyncke) a écrit :
>>
>>
>>
>> While I pay for it, I never use the millions of WiFi access points I can
>> use here in the Netherlands. I tried it once, walking in a small city. At
>> the time the handover was completed, the connectivity was gone.

This is a question of use-cases.  In a city yes there are many hotspots 
but also yes they're sparsely distributed - you must handover to 
something else in between.  In a home network they'd be densely 
distributed, could hand-over directly, or not at all.

You could be moving a lot and never handing over, as much as you could 
sit and do many hand-overs per second.

Such use-cases and reqs are described in DMM WG documents.

Alex

  It might
>> have to do with IEEE and IETF mismatch. Same SSID shall have same IP
>> subnet (IEEE) versus each link has its own subnet (some of IETF, no
>> formal statement...).
>
> Of course, if every SSID has its own 192.168.0.0/24, oups, this is legacy
> IP, so, not a Homenet topic :-O
>
> Sorry could not resist
>
> -éric
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 1 Sep 2015 14:07:02 +0200

Le 12/08/2015 15:39, Eric Vyncke (evyncke) a écrit :
>
> On 12/08/15 15:18, "Teco Boot" <[email-masked]> wrote:
>>
>> How works *seamless* WiFi handover with same SSID, with different IPv6
>> subnets?

The question is tempting, but I'd say the following:
- a deployment with same SSID and different IP subnets is not good.
- keys of these SSIDs is a third parameter that should be considered: 
handovers are easier when keys are different.

>> Single subnet for a neighborhood, with all the multicast suppression?
>> Single subnet for a country?
>
> Not sure whether 'community wifi' belongs to this alias but anyway, there
> are working solutions with host routes and/or tunnels... Nothing optimum
> and probably not really scalable for a whole country.

Mobile IP, Proxy MIP, GTP scale to some sizes.

Alex

> I will take your single /64 for the whole country as a joke :-)  OTOH,
> there are actually solutions for this kind of deployment, let's wait until
> Pascal chimes in ;-)
>
> -éric
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 1 Sep 2015 14:08:28 +0200

Le 12/08/2015 15:41, Mikael Abrahamsson a écrit :
> On Wed, 12 Aug 2015, Teco Boot wrote:
>
>>>
>>> I myself believe in "temporal overlap", ie be connected to both
>>> networks for some time, finish whatever you were doing (if you were
>>> downloading video snippets for instance) and then start using the new
>>> connction. A lot of short-lived traffic could be handled like that.
>>> However, this wouldn't solve real time communictation, there the
>>> protocol itself would need to tell other end to start using another
>>> address for continued communication.
>>
>> IEEE802.11 spec is otherwise. Unless dial NIC or tricks with sleep
>> mode, a station is connected to a single AP. There is no "temporal
>> overlap". And what is temporal? For me, it is walking thru my house
>> with active voice call. Could be over an hour.
>
> Yes, so your wifi device needs to support being connected to two APs for
> a short duration of time (probably a few seconds), so your new address
> can be communicated to whoever your voip call is with, so the session
> can be moved over to that new address.
>
> I know this isn't available currently, but I want to move from "it
> doesn't work" to "how can we make this work without having lots of
> tunnels all the time".
>
> "mosh" is a good example of an application that does what I want.
>
> I come with my laptop with an ongoing mosh/ssh session, I plug in my
> laptop, I see it connect to the wired network, 3 seconds later I disable
> my wifi, and my mosh session still works. I wish all protocols worked
> like this.

mosh is a good step, but not as good as Mobile IP.

the ongoing skype call will break even though mosh is present.

Alex

---

From: Ray Hunter <[email-masked]>
Date: Tue, 01 Sep 2015 18:06:20 +0200

inline

Alexandru Petrescu wrote:
> This is a question of use-cases.  In a city yes there are many 
> hotspots but also yes they're sparsely distributed - you must handover 
> to something else in between.  In a home network they'd be densely 
Actually they're pretty densely distributed around me.

There's one AP per household (via the cable TV provider) which has an 
SSID for dedicated use.

These also support the guest/roaming access using a common SSID 
identical on all APs.

There are 5 apartments within wifi range of my desktop (I can see that 
via the dedicated SSID).
And I find 12 on my mobile if I walk to the balcony.

> Such use-cases and reqs are described in DMM WG documents.

ACK

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 2 Sep 2015 11:31:14 +0200

> These also support the guest/roaming access using a common SSID

YEs.

> And I find 12 on my mobile if I walk to the balcony.

I can agree.   I guess while the beacons are seen strong, once connected 
the strength becomes lower for some reason.

Also, automatic handing-over to such apparently dense hotspots is 
hampered on-purpose by administrative will: security keys, captive 
portals, acceptance conditions, and more.

It's a problem in home networks and also while travelling: airport, 
hotel, restaurant networks.

I am not sure how to relate this precisely to homenet WG...

Alex

---

From: "Ray Hunter (v6ops)" <[email-masked]>
Date: Wed, 02 Sep 2015 11:49:01 +0200

> Alexandru Petrescu <mailto:[email-masked]>
> 2 Sep 2015 11:31
>
>
> I can agree.   I guess while the beacons are seen strong, once 
> connected the strength becomes lower for some reason.
>
Homenet has created multiple L3 routed wifi networks.

I think we'll probably have to wait for DMM to nail down thier potnetial 
solutions before drawing firm conclusions. There's not a lot of specific 
information in the DMM WG documents I read so far, as it's early days.

But I think it's fair to conclude that there'll be some interaction with 
/extension of HNCP required (for selecting and configuring IP anchors 
and SSIDs).

-- 
regards,
RayH
<https://www.postbox-inc.com/?utm_source=email&utm_medium=siglink&utm_campaign=reach>